<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>AppComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/app.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="https://angular.io/api/core/AfterViewChecked" target="_blank" >AfterViewChecked</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-root</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./app.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./app.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#authenticationService">authenticationService</a>
                            </li>
                            <li>
                                <a href="#user">user</a>
                            </li>
                            <li>
                                <a href="#version">version</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#logout">logout</a>
                            </li>
                            <li>
                                <a href="#ngAfterViewChecked">ngAfterViewChecked</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#switchLang">switchLang</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(translate: TranslateService, momentDateAdapter: DateAdapter<Moment>, momentDatetimeAdapter: <a href="../objects/time.html">DatetimeAdapter<Moment></a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, versionService: <a href="../injectables/VersionService.html">VersionService</a>, authorisationService: <a href="../injectables/AuthorizationService.html">AuthorizationService</a>, authenticationService: <a href="../injectables/AuthenticationService.html">AuthenticationService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/app.component.ts:23</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>translate</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>momentDateAdapter</td>
                                                  
                                                        <td>
                                                                    <code>DateAdapter&lt;Moment&gt;</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>momentDatetimeAdapter</td>
                                                  
                                                        <td>
                                                                    <code><a href="../miscellaneous/variables.html#time" target="_self" >DatetimeAdapter&lt;Moment&gt;</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>versionService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/VersionService.html" target="_self" >VersionService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authorisationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthorizationService.html" target="_self" >AuthorizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authenticationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthenticationService.html" target="_self" >AuthenticationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="logout"></a>
                        <span class="name">
                            <b>
                            logout
                            </b>
                            <a href="#logout"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>logout()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="59" class="link-to-prism">src/app/app.component.ts:59</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngAfterViewChecked"></a>
                        <span class="name">
                            <b>
                            ngAfterViewChecked
                            </b>
                            <a href="#ngAfterViewChecked"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngAfterViewChecked()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="53" class="link-to-prism">src/app/app.component.ts:53</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/app.component.ts:41</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="switchLang"></a>
                        <span class="name">
                            <b>
                            switchLang
                            </b>
                            <a href="#switchLang"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>switchLang(lang: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="64" class="link-to-prism">src/app/app.component.ts:64</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>lang</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="authenticationService"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            authenticationService
                            </b>
                            <a href="#authenticationService"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>authenticationService:     <code><a href="../injectables/AuthenticationService.html" target="_self" >AuthenticationService</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../injectables/AuthenticationService.html" target="_self" >AuthenticationService</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/app.component.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="user"></a>
                        <span class="name">
                            <b>
                            user
                            </b>
                            <a href="#user"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>user:     <code><a href="../interfaces/User.html" target="_self" >User</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/User.html" target="_self" >User</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/app.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="version"></a>
                        <span class="name">
                            <b>
                            version
                            </b>
                            <a href="#version"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>version:     <code><a href="../interfaces/Version.html" target="_self" >Version</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../interfaces/Version.html" target="_self" >Version</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/app.component.ts:22</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { AfterViewChecked, Component, OnInit } from &quot;@angular/core&quot;;
import { TranslateService } from &quot;@ngx-translate/core&quot;;
import { AuthenticationService } from &#x27;./core/authentication/authentication.service&#x27;;
import { Router } from &#x27;@angular/router&#x27;;
import { AuthorizationService } from &#x27;./core/service/http/authorization.service&#x27;;
import * as moment from &quot;moment&quot;;
import { Moment } from &quot;moment&quot;;
import { DateAdapter } from &#x27;@angular/material&#x27;;
import { DatetimeAdapter } from &#x27;@mat-datetimepicker/core&#x27;;
import { VersionService } from &#x27;./core/service/version.service&#x27;;
import { Version } from &#x27;./core/model/version&#x27;;
import { User } from &#x27;./core/model/user&#x27;;

@Component({
  selector: &#x27;app-root&#x27;,
  templateUrl: &#x27;./app.component.html&#x27;,
  styleUrls: [&#x27;./app.component.scss&#x27;]
})
export class AppComponent implements OnInit, AfterViewChecked {


  version: Version;
  user: User;

  constructor(private translate: TranslateService,
              private momentDateAdapter: DateAdapter&lt;Moment&gt;,
              private momentDatetimeAdapter: DatetimeAdapter&lt;Moment&gt;,
              private router: Router,
              private versionService: VersionService,
              private authorisationService: AuthorizationService,
              public authenticationService: AuthenticationService) {

    moment().locale(&#x27;fr-ch&#x27;);
    // this language will be used as a fallback when a translation isn&#x27;t found in the current language
    translate.setDefaultLang(&#x27;fr&#x27;);

    // the lang to use, if the lang isn&#x27;t available, it will use the current loader to get them
    translate.use(&#x27;fr&#x27;);
  }

  ngOnInit(): void {
    this.authorisationService.userChange
      .subscribe(
        user &#x3D;&gt; {
          this.user &#x3D; user;
          if (!this.version &amp;&amp; user) {
            this.versionService.get().subscribe(version &#x3D;&gt; this.version &#x3D; version);
          }
        }
      );
  }

  ngAfterViewChecked(): void {
    [].slice.call(document.querySelectorAll(&quot;mat-datetimepicker-toggle button&quot;))
      .forEach(button &#x3D;&gt; button.setAttribute(&quot;tabindex&quot;, -1))
  }


  logout() {
    this.authenticationService.logout();
    this.router.navigate([&quot;login&quot;]);
  }

  switchLang(lang: string): void {
    this.translate.use(lang);
    this.momentDateAdapter.setLocale(lang);
    this.momentDatetimeAdapter.setLocale(lang);
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-toolbar color&#x3D;&quot;primary&quot;&gt;
  &lt;button mat-icon-button (click)&#x3D;&quot;sidenav.toggle()&quot;&gt;
    &lt;mat-icon&gt;menu&lt;/mat-icon&gt;
  &lt;/button&gt;
  &lt;span id&#x3D;&quot;toolbarTitle&quot;&gt;{{&#x27;global.title&#x27; | translate}}&lt;/span&gt;
  &lt;span fxFlex&#x3D;&quot;grow&quot;&gt;&lt;/span&gt;


  &lt;button id&#x3D;&quot;loginMenuButton&quot; *ngIf&#x3D;&quot;user&quot; mat-icon-button [matMenuTriggerFor]&#x3D;&quot;loginMenu&quot;&gt;
    &lt;mat-icon&gt;account_circle&lt;/mat-icon&gt;
  &lt;/button&gt;
  &lt;mat-menu #loginMenu [overlapTrigger]&#x3D;&quot;false&quot; xPosition&#x3D;&quot;before&quot;&gt;
    &lt;mat-card id&#x3D;&quot;loginCard&quot; *ngIf&#x3D;&quot;user&quot; class&#x3D;&quot;login-card&quot;&gt;
      &lt;mat-card-content fxLayout fxLayoutGap&#x3D;&quot;2rem&quot;&gt;
        &lt;mat-icon class&#x3D;&quot;avatar&quot;&gt;account_circle&lt;/mat-icon&gt;
        &lt;div fxLayout&#x3D;&quot;column&quot; fxLayoutGap&#x3D;&quot;2rem&quot;&gt;
          &lt;div fxLayout fxLayoutGap&#x3D;&quot;2rem&quot;&gt;
            &lt;div fxLayout&#x3D;&quot;column&quot;&gt;
              &lt;span class&#x3D;&quot;readonly-label&quot;&gt;{{&#x27;global.login.user&#x27; | translate}}&lt;/span&gt;
              &lt;span class&#x3D;&quot;readonly-value&quot;&gt;{{user.login}}&lt;/span&gt;
            &lt;/div&gt;
            &lt;div fxLayout&#x3D;&quot;column&quot;&gt;
              &lt;span class&#x3D;&quot;readonly-label&quot;&gt;{{&#x27;global.login.canton&#x27; | translate}}&lt;/span&gt;
              &lt;span class&#x3D;&quot;readonly-value&quot;&gt;{{user.realm}}&lt;/span&gt;
            &lt;/div&gt;
          &lt;/div&gt;
          &lt;div fxLayout&#x3D;&quot;column&quot;&gt;
            &lt;span class&#x3D;&quot;readonly-label&quot;&gt;{{&#x27;global.login.management-entity&#x27; | translate}}&lt;/span&gt;
            &lt;span class&#x3D;&quot;readonly-value&quot;&gt;{{user.managementEntity}}&lt;/span&gt;
          &lt;/div&gt;
        &lt;/div&gt;
      &lt;/mat-card-content&gt;
      &lt;mat-divider&gt;&lt;/mat-divider&gt;

      &lt;mat-card-actions *ngIf&#x3D;&quot;authenticationService.canLogout&quot;&gt;
        &lt;div fxLayout fxLayoutAlign&#x3D;&quot;end&quot;&gt;
          &lt;button id&#x3D;&quot;logoutButton&quot;
                  fxFlexAlign&#x3D;&quot;end&quot;
                  mat-button
                  color&#x3D;&quot;primary&quot;
                  (click)&#x3D;&quot;logout()&quot;&gt;
            &lt;mat-icon&gt;exit_to_app&lt;/mat-icon&gt;
            {{&quot;global.actions.logout&quot; | translate | uppercase}}
          &lt;/button&gt;
        &lt;/div&gt;
      &lt;/mat-card-actions&gt;
    &lt;/mat-card&gt;
  &lt;/mat-menu&gt;

  &lt;button mat-icon-button [matMenuTriggerFor]&#x3D;&quot;languageMenu&quot;&gt;
    &lt;mat-icon&gt;language&lt;/mat-icon&gt;
  &lt;/button&gt;
  &lt;mat-menu #languageMenu [overlapTrigger]&#x3D;&quot;false&quot;&gt;
    &lt;button mat-menu-item (click)&#x3D;&quot;switchLang(&#x27;fr&#x27;)&quot;&gt; Français&lt;/button&gt;
    &lt;button mat-menu-item (click)&#x3D;&quot;switchLang(&#x27;de&#x27;)&quot;&gt; Deutsch&lt;/button&gt;
  &lt;/mat-menu&gt;
&lt;/mat-toolbar&gt;

&lt;mat-sidenav-container fxLayout&#x3D;&quot;column&quot; fxFlex&#x3D;&quot;grow&quot;&gt;
  &lt;mat-sidenav #sidenav&gt;
    &lt;mat-nav-list (click)&#x3D;&quot;sidenav.close()&quot;&gt;
      &lt;a mat-list-item routerLink&#x3D;&quot;/&quot;&gt;
        &lt;mat-icon&gt;home&lt;/mat-icon&gt;
        {{&#x27;dashboard.sidenav&#x27; | translate}}
      &lt;/a&gt;
      &lt;a mat-list-item routerLink&#x3D;&quot;/admin&quot;&gt;
        &lt;mat-icon&gt;settings&lt;/mat-icon&gt;
        {{&#x27;admin.sidenav&#x27; | translate}}
      &lt;/a&gt;
    &lt;/mat-nav-list&gt;


    &lt;div class&#x3D;&quot;version&quot; *ngIf&#x3D;&quot;version&quot;&gt;
      &lt;div class&#x3D;&quot;build-number&quot;&gt;
        {{version.buildNumber}}
      &lt;/div&gt;
      &lt;div class&#x3D;&quot;build-timestamp&quot;&gt;
        {{version.buildTimestamp | date:&#x27;dd.MM.yyyy HH:mm&#x27;}}
      &lt;/div&gt;
    &lt;/div&gt;
  &lt;/mat-sidenav&gt;
  &lt;mat-sidenav-content&gt;
    &lt;router-outlet&gt;&lt;/router-outlet&gt;
  &lt;/mat-sidenav-content&gt;
&lt;/mat-sidenav-container&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./app.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.login-card {
  box-shadow: none !important;
}

.avatar {
  font-size: 8rem;
}

mat-sidenav {
  display: flex;
  flex-direction: column;
}

mat-nav-list {
  flex-grow: 1;

}

.version {
  font-family: Roboto, &quot;Helvetica Neue&quot;, sans-serif;
  flex-grow: 0;
  padding: 10px;
}

.build-number {
  font-size: 1.4rem;
  font-weight: bold;
}

.build-timestamp {
  font-size: 1.2rem;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-toolbar color="primary">  <button mat-icon-button (click)="sidenav.toggle()">    <mat-icon>menu</mat-icon>  </button>  <span id="toolbarTitle">{{\'global.title\' | translate}}</span>  <span fxFlex="grow"></span>  <button id="loginMenuButton" *ngIf="user" mat-icon-button [matMenuTriggerFor]="loginMenu">    <mat-icon>account_circle</mat-icon>  </button>  <mat-menu #loginMenu [overlapTrigger]="false" xPosition="before">    <mat-card id="loginCard" *ngIf="user" class="login-card">      <mat-card-content fxLayout fxLayoutGap="2rem">        <mat-icon class="avatar">account_circle</mat-icon>        <div fxLayout="column" fxLayoutGap="2rem">          <div fxLayout fxLayoutGap="2rem">            <div fxLayout="column">              <span class="readonly-label">{{\'global.login.user\' | translate}}</span>              <span class="readonly-value">{{user.login}}</span>            </div>            <div fxLayout="column">              <span class="readonly-label">{{\'global.login.canton\' | translate}}</span>              <span class="readonly-value">{{user.realm}}</span>            </div>          </div>          <div fxLayout="column">            <span class="readonly-label">{{\'global.login.management-entity\' | translate}}</span>            <span class="readonly-value">{{user.managementEntity}}</span>          </div>        </div>      </mat-card-content>      <mat-divider></mat-divider>      <mat-card-actions *ngIf="authenticationService.canLogout">        <div fxLayout fxLayoutAlign="end">          <button id="logoutButton"                  fxFlexAlign="end"                  mat-button                  color="primary"                  (click)="logout()">            <mat-icon>exit_to_app</mat-icon>            {{"global.actions.logout" | translate | uppercase}}          </button>        </div>      </mat-card-actions>    </mat-card>  </mat-menu>  <button mat-icon-button [matMenuTriggerFor]="languageMenu">    <mat-icon>language</mat-icon>  </button>  <mat-menu #languageMenu [overlapTrigger]="false">    <button mat-menu-item (click)="switchLang(\'fr\')"> Français</button>    <button mat-menu-item (click)="switchLang(\'de\')"> Deutsch</button>  </mat-menu></mat-toolbar><mat-sidenav-container fxLayout="column" fxFlex="grow">  <mat-sidenav #sidenav>    <mat-nav-list (click)="sidenav.close()">      <a mat-list-item routerLink="/">        <mat-icon>home</mat-icon>        {{\'dashboard.sidenav\' | translate}}      </a>      <a mat-list-item routerLink="/admin">        <mat-icon>settings</mat-icon>        {{\'admin.sidenav\' | translate}}      </a>    </mat-nav-list>    <div class="version" *ngIf="version">      <div class="build-number">        {{version.buildNumber}}      </div>      <div class="build-timestamp">        {{version.buildTimestamp | date:\'dd.MM.yyyy HH:mm\'}}      </div>    </div>  </mat-sidenav>  <mat-sidenav-content>    <router-outlet></router-outlet>  </mat-sidenav-content></mat-sidenav-container></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'AppComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'AppComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
